@tailwind base;
@tailwind components;
@tailwind utilities;

body {
  @apply bg-neutral;
  -webkit-tap-highlight-color: transparent;

  /* --lace: var(--primary-shadow);
  --lace-heart: var(--primary); */
}

/* .secondary .lace {
  --lace: var(--secondary);
  --lace-heart: var(--secondary-shadow);
}

.lace-cls-1 {
  fill: rgb(var(--lace));
}

.lace-cls-2 {
  fill: rgb(var(--lace-heart));
} */

#root {
  height: 100vh;
  height: 100svh;
}

.overflow-left {
  @apply before:pointer-events-none before:z-20 before:absolute before:bg-gradient-to-r before:from-primary-shadow before:w-10 before:top-0 before:left-0 before:h-full;
}

.overflow-right {
  @apply after:pointer-events-none after:z-20 after:absolute after:bg-gradient-to-l after:from-primary-shadow after:w-10 after:top-0 after:right-0 after:h-full;
}

.theme-sweet {
  --neutral: 255 240 254;
  --primary: 247 191 242;
  --primary-shadow: 204 133 255;
  --primary-darker: 204 133 255;
  --primary-content: 0 0 0;
  --secondary: 146 200 244;
  --secondary-content: 0 0 0;
  --secondary-darker: 99 150 211;
  --secondary-shadow: 120 170 229;
}

.theme-gothic {
  --neutral: 123 113 165;
  --primary: 50 33 135;
  --primary-shadow: 0 0 0;
  --primary-darker: 0 0 0;
  --primary-content: 255 255 255;
  --secondary: 63 6 112;
  --secondary-content: 255 255 255;
  --secondary-darker: 27 2 60;
  --secondary-shadow: 28 6 56;
}

.theme-classic {
  --neutral: 255 226 169;
  --primary: 211 42 9;
  --primary-shadow: 137 40 6;
  --primary-darker: 137 40 6;
  --primary-content: 255 255 255;
  --secondary: 135 85 51;
  --secondary-content: 255 255 255;
  --secondary-darker: 66 42 26;
  --secondary-shadow: 66 42 26;
}

:root {
  --min-sidenav-width: 240px;
  --max-sidenav-width: 406px;

  --color-fb: 0 0 0;
  --color-fb-content: 255 255 255;
  --color-g: 66 133 244;
  --color-g-focus: 66 102 206;
  --color-g-content: 255 255 255;
  --color-g-content-opacity: 1;
}

.sidenav-wrapper {
  width: clamp(var(--min-sidenav-width), 25vw, var(--max-sidenav-width));
}

@media (min-width: 640px) {
  main {
    padding-left: clamp(
      var(--min-sidenav-width),
      25vw,
      var(--max-sidenav-width)
    );
  }
}

.google {
  background-color: rgb(var(--color-g));
  color: rgb(var(--color-g-content) / var(--color-g-content-opacity));
}

.google:hover {
  background-color: rgb(var(--color-g-focus));
}

.facebook {
  background-color: rgb(var(--color-fb));
  color: rgb(var(--color-fb-content));
}
